LIBPFM(3)

NAME
libpfm_arm_ac15 - support for Qualcomm Krait PMU

SYNOPSIS
#include <perfmon/pfmlib.h>

PMU name: qcom_krait
PMU desc: Qualcomm Krait

DESCRIPTION
The library supports the Qualcomm Krait core PMU.

This PMU supports 5 counters and privilege levels filtering.

MODIFIERS
The following modifiers are supported on this PMU:

u   Measure at the user level. This corresponds to PFM_PLM3. This is a boolean modifier.

k   Measure at the kernel level. This corresponds to PFM_PLM0. This is a boolean modifier.

hv  Measure at the hypervisor level. This corresponds to PFM_PLMH. This is a boolean modifier.

AUTHORS
Stephane Eranian <eranian@gmail.com>